import React, { Component } from 'react';
import PropTypes from 'prop-types';
import Icon from 'amos-icon';

class NewLib extends Component {

  static propTypes = {
    onClick: PropTypes.func
  };

  constructor(props) {
    super(props);
  }

  render() {
    const { onClick } = this.props;
    return (
      <div onClick={onClick} className="rule-lib-item-add">
        <div className="rule-lib-item-title">新建规则</div>
        <div className="rule-lib-item-content rule-lib-create flex-vh-center">
          <Icon className="rule-lib-create-icon" icon="add" />
        </div>
      </div>
    );
  }
}

export default NewLib;
